<?php
ob_start();
define('NTOP', 1);
$title = 'Кабинет';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('head.php');
reg();
$mod = isset($_GET['mod']) ? (string) $_GET['mod'] : '';
/* 
----------------------------------------
Ulty funksiyalari
----------------------------------------
*/

function ulty($str)
{
    $replace = array(
        'A' => 'a',
        'B' => 'b',
        'V' => 'v',
        'G' => 'g',
        'D' => 'd',
        'E' => 'z',
        'Z' => 'z',
        'I' => 'i',
        'J' => 'j',
        'K' => 'k',
        'L' => 'l',
        'M' => 'm',
        'N' => 'n',
        'O' => 'o',
        'P' => 'p',
        'R' => 'r',
        'S' => 's',
        'T' => 't',
        'U' => 'u',
        'F' => 'f',
        'H' => 'x',
        'C' => 'c',
        'W' => 'w',
        'Q' => 'q',
        'Y' => 'y',
        'X' => 'x'
    );
    return strtr($str, $replace);
}
switch ($act) {
    default:
        $platforms = mysqli_num_rows(mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "sait` WHERE `id_user` = '" . $user_data['id'] . "'"));
        $news_all = mysqli_num_rows(mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "news`"));
        $plaforms_no_moder = mysqli_num_rows(mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "sait` WHERE `status` = '0'"));

        echo '<div class="title2">Кабинет [' . $u['name'] . ']';
        if ($user_data['level'] == 2) echo ' <span class="cat_count"><a href="http://' . $set['home'] . '/adm_panel/index.php">Админ-Панель</a></span>';



        echo '</div>';

echo '<div class="stat" style="border-bottom: 1px dotted #eee;">Баланс: '.$user_data['balans'].' кр '.($user_data['balans'] > 100 ? '| <a href="/wk/user_rek.php">Купить рекламу 100 кр</a>' : '| Купить рекламу 100 кр').' '.($user_data['balans'] > 500 ? '| <a href="/wk/vip_site.php">Купить VIP 500 кр</a>' : '| Купить VIP 500 кр').'</div>';

        echo '<div class="stat"><i class="fas fa-globe"></i> <a href="http://' . $set['home'] . '/m/office/platforms">Мои сайты [' . $platforms . '/' . $set['max_platforms'] . ']</a>';
        echo '</div><div class="stat"><i class="fas fa-cog"></i> <a href="http://' . $set['home'] . '/m/office/settings">Настройки аккаунта</a>';
        echo '</div><div class="stat"><i class="fas fa-address-book"></i> <a href="http://' . $set['home'] . '/m/office/set">Личные данные</a>';
        echo '</div><div class="stat"><i class="fas fa-lock"></i> <a href="http://' . $set['home'] . '/m/office/pass">Изменить пароль</a>';
        echo '</div><div class="stat"><i class="fas fa-history"></i> <a href="http://' . $set['home'] . '/m/new">Сайты на модерации [' . $plaforms_no_moder . ']</a>';

        echo '</div><div class="stat"><i class="fas fa-rss"></i> <a href="http://' . $set['home'] . '/m/news">Новости сайта [' . $news_all . ']</a>';
        echo '</div><div class="stat"><i class="fas fa-sign-out-alt"></i> <a href="http://' . $set['home'] . '/exit">Выход</a></div>';

        break;

    case 'platforms':
        $platform = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "sait` WHERE `id_user` = '" . $user_data['id'] . "'");
        $platforms = mysqli_num_rows($platform);
        echo '<div class="title2">Площадки | <small>Всего площадок: <strong>' . $platforms . '</strong> из <strong>' . $set['max_platforms'] . '</strong></small></div>';
        if ($platforms == 0) {
            echo '<div class="stat">';
            echo 'На данный момент у вас нет площадок.</div>';
            echo '<div class="stat">';
            echo '<a href="http://' . $set['home'] . '/m/office/addPlatform">Добавить площадку</a><br/>';
            echo '</div>';
        } else {
            $total = intval(($platforms - 1) / $page_platforms) + 1;
            $page = abs(intval($_GET['page']));
            if (empty($page) or $page < 0) {
                $page = 1;
            }
            if ($page > $total) {
                $page = $total;
            }
            $past = intval($platforms / $page_platforms);
            $start = $page * $page_platforms - $page_platforms;
            $platform = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "sait` WHERE `id_user` = '" . $user_data['id'] . "' ORDER BY `id` DESC LIMIT " . $start . "," . $page_platforms . "");
            while ($row = mysqli_fetch_array($platform)) {
                echo '<div class="stat">';
                $status = $row['status'] == 1 ? '<font color=green>*</font>' : '<font color=red>*</font>';

                $start++;
                echo '[ID: ' . $row['id'] . '] <a href="http://' . $set['home'] . '/out/' . $row['id'] . '"><strong>' . $row['name'] . '</strong></a>' . $status . '   <br/> ';

                if (mb_strlen($row['about']) > 50) {
                    $text = substr($row['about'], 0, 50);
                    echo '' . $text . '...<br/>';
                } else {
                    echo '' . $row['about'] . '<br/>';
                }

                echo '
<a href="http://' . $set['home'] . '/m/office/editPlatform/' . $row['id'] . '">Ред</a> |
<a href="http://' . $set['home'] . '/m/office/deletePlatform/' . $row['id'] . '">Уд</a> |
<a href="http://' . $set['home'] . '/m/office/code/' . $row['id'] . '">Счетчик</a> | <a href="http://' . $set['home'] . '/stats/' . $row['id'] . '">Стат</a></div>';
            }
            navigation($platforms, $page_platforms, $page, 'http://' . $set['home'] . '/m/office.php?act=platforms&amp;page=', $total);
            echo '<div class="main"><a href="http://' . $set['home'] . '/m/office/addPlatform">Добавить площадку</a></div>';
        }
        echo '<div class="stat"><font color=green>*</font> - Проверена<br /><font color=red>*</font> - На модерации</div>';
        break;

    case 'add_platform':
        echo '<div class="title2">Добавление площадки</div>';
        if (!isset($_POST['ok'])) {
            $image_big = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `type` = 'big'");
            $image_small = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `type` = 'small'");
            $image_biger = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `type` = 'biger'");
            $image_one = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `type` = 'one'");
            echo '<div class="main">';
            echo '
<form action="http://' . $set['home'] . '/m/office/addPlatform/2" method="post">
URL сайта(без http:// и т.п)[max. 35]:<br/>
<input type="text"  class="input" name="url" maxlength="35" value="" /><br/>
Описание сайта [max. 250]:<br/>
<textarea name="about" cols="38" rows="8"></textarea><br/>
Категория:<br/>
<select name="cat">
';
            $cats = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "cat` ORDER BY `position` ASC");
            if (mysqli_num_rows($cats) > 0) {
                while ($cat = mysqli_fetch_assoc($cats)) {
                    echo '<option value="' . $cat['id'] . '">' . $cat['name'] . '</option>';
                }
            }
            echo '</select><br/><br />';
            echo '<input type="checkbox" value="1" name="skrit" />&#160;Скрыт статистику<br /><br/>';


            echo '<small><strong>Для главной страницы сайта: <font size=2>*</font></strong></small><br/>';

            ///////////////////////// Веритикальный Счетчик

            while ($count_big = mysqli_fetch_array($image_big)) {
                echo '<input type="radio" name="imagebig" value="' . $count_big['name'] . '">';
                echo '<img src="http://' . $set['home'] . '/images/big/' . $count_big['name'] . '.png" alt=""><br/>';
            }

            //////////////////////// Горизонтальный Счетчик

            while ($count_biger = mysqli_fetch_array($image_biger)) {
                echo '<input type="radio" name="imagebig" value="' . $count_biger['name'] . '">';
                echo '<img src="http://' . $set['home'] . '/images/biger/' . $count_biger['name'] . '.png" alt=""><br/>';
            }

            echo '<hr/>';
            echo '<small><strong>Для остальных страниц сайта: <font size=2>*</font></strong></small><br/>';
            while ($count_small = mysqli_fetch_array($image_small)) {
                echo '<input type="radio" name="imagesm" value="' . $count_small['name'] . '">';
                echo '<img src="http://' . $set['home'] . '/images/mini/' . $count_small['name'] . '.png" alt=""><br/>';
            }

            /*echo '<hr/>';
echo '<small><strong>Онлайн: <font size=2>*</font></strong></small><br/>';
while($count_one = mysqli_fetch_array($image_one))
{
echo '<input type="radio" name="imageone" value="'.$count_one['name'].'">';
echo '<img src="http://'.$set['home'].'/images/on/'.$count_one['name'].'.gif" alt=""><br/>';
}	*/

            echo '</br><font size=2>*</font></strong> - Все поля обязательные к заполнению</br></br><input name="ok" type="submit" value="Добавить" />
</form>
</div>';
        } else {
            $platform = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "sait` WHERE `id_user` = '" . $user_data['id'] . "'");
            $platforms_count = mysqli_num_rows($platform);
            if ($platforms_count >= $set['max_platforms']) {
                echo '<div class="error">';
                echo 'Достигнут лимит площадок <strong>' . $set['max_platforms'] . '</strong> , удалите лишние площадки или создайте новый аккаунт!<br/>';
                echo '<a href="http://' . $set['home'] . '/m/office/platforms">К площадкам</a><br/>';
                echo '</div>';
            } else {
                $url = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['url'])));
                $name = $url;
                $url = ulty(str_replace("http://", "", $url));
                $about = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['about'])));
                $cat = abs(intval($_POST['cat']));
                $imagebig = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['imagebig'])));
                $imagesm = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['imagesm'])));
                $imageone = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['imageone'])));
                $skrit = $_POST['skrit'] == 1 ? 1 : 0;
                $pr = getpr($url);
                $cy = getCI($url);
                $error = '';

                $isset_cat = mysqli_num_rows(mysqli_query($mysqli, "SELECT `id` FROM `" . $prefix . "cat` WHERE `id` = '" . $cat . "'"));
                $isset_site = mysqli_num_rows(mysqli_query($mysqli, "SELECT `id` FROM `" . $prefix . "sait` WHERE `url` = '" . $url . "'"));
                $isset_image = mysqli_num_rows(mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `name` = '" . $imagebig . "'"));
                if ($isset_image == 0) {
                    $error .= 'Ошибка! Нет такого изображения!<br/>';
                }
                if ($isset_cat == 0) {
                    $error .= 'Ошибка! Нет такой категории!<br/>';
                }
                if (empty($url) or empty($name) or empty($about) or empty($cat) or empty($imagebig) or empty($imagesm)) {
                    $error .= 'Ошибка! Не заполнены поля!<br/>';
                }
                if (mb_strlen($url) >= 35) {
                    $error .= 'Ошибка! Поле "URL сайта" не должно быть больше 35 символов!<br/>';
                }

                if (mb_strlen($about) >= 250) {
                    $error .= 'Ошибка! Поле "Описание сайта" не должно быть больше 250 символов!<br/>';
                }
                if ($isset_site > 0) {
                    $error .= 'Ошибка! Такого сайта существует в базе!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="topni">';
                    echo $error;
                    echo '<a href="http://' . $set['home'] . '/m/office/addPlatform">Назад</a></div>';
                } else {
                    $time = time();
                    $insert_platform = mysqli_query($mysqli, "INSERT INTO `" . $prefix . "sait` SET
                    `time` = $time,
`id_user` = '" . $user_data['id'] . "',
`name` = '" . $name . "',
`about` = '" . $about . "',
`category` = '" . $cat . "',
`url` = '" . $url . "',
`imagebig` = '" . $imagebig . "',
`imagesm` = '" . $imagesm . "',
`status` = '" . $set['moderacia'] . "',
`pr` = '" . mysqli_real_escape_string($mysqli, $pr) . "',
`skrit` = '" . mysqli_real_escape_string($mysqli, $skrit) . "',
`cy` = '" . mysqli_real_escape_string($mysqli, $cy) . "'");
                    if ($insert_platform) {
                        echo '<div class="topni">';
                        echo 'Площадка успешно добавлена!<br/>';
                        echo '<a href="http://' . $set['home'] . '/m/office/platforms">К площадкам</a><br/>';
                        echo '</div>';
                    } else {
                        echo '<div class="topni">';
                        echo 'Площадка не добавлена , попробуйте снова!<br/>';
                        echo '<a href="http://' . $set['home'] . '/m/office/addPlatform">Назад</a><br/>';
                        echo '</div>';
                    }
                }
            }
        }
        break;
    case 'edit_platform':
        if (!isset($_POST['ok'])) {
            echo '<div class="title2">Изменение площадки</div>';
            $platform = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "sait` WHERE `id` = '" . $id . "' AND `id_user` = '" . $user_data['id'] . "' LIMIT 1");
            $platform_count = mysqli_num_rows($platform);
            $user_platform = mysqli_fetch_array($platform);
            $image_big = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `type` = 'big'");
            $image_small = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `type` = 'small'");
            $image_biger = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `type` = 'biger'");
            $image_one = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `type` = 'one'");
            if ($platform_count > 0) {
                echo '<div class="main">';
                echo '
<form action="http://' . $set['home'] . '/m/office/editPlatform/2/' . $id . '" method="post">
URL сайта(без http:// и т.п)[max. 35]:<br/>
<input type="text"  class="input" name="url" maxlength="35" value="' . $user_platform['url'] . '" /><br/>
Описание сайта [max. 250]:<br/>
<textarea name="about" cols="38" rows="8">' . $user_platform['about'] . '</textarea><br/>
Категория:<br/>
<select name="cat">';
                $cats = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "cat` ORDER BY `position` ASC");
                if (mysqli_num_rows($cats) > 0) {
                    while ($cat = mysqli_fetch_assoc($cats)) {
                        $selected = ($user_platform['category'] == $cat['id']) ? ' selected="selected"' : '';
                        echo '<option value="' . $cat['id'] . '"' . $selected . '>' . $cat['name'] . '</option>';
                    }
                }
                echo '</select><br/><br />';
                echo '<input type="checkbox" value="1" name="skrit" ' . ($user_platform['skrit'] == 1 ? 'checked="checked"' : '') . ' />&#160;Скрыт статистику<br /><br/>';
                echo '<small><strong>Для главной страницы сайта: <font size=2>*</font></strong></small><br/>';

                /////////////////// Вертикальный счетчик

                while ($count_big = mysqli_fetch_array($image_big)) {
                    $checked = ($user_platform['imagebig'] == $count_big['name']) ? ' checked="checked"' : '';
                    echo '<input type="radio" name="imagebig" value="' . $count_big['name'] . '"' . $checked . '>';
                    echo '<img src="http://' . $set['home'] . '/images/big/' . $count_big['name'] . '.png" alt=""><br/>';
                }

                /////////////////// Горизонтальный счетчик

                while ($count_biger = mysqli_fetch_array($image_biger)) {
                    $checked = ($user_platform['imagebig'] == $count_biger['name']) ? ' checked="checked"' : '';
                    echo '<input type="radio" name="imagebig" value="' . $count_biger['name'] . '"' . $checked . '>';
                    echo '<img src="http://' . $set['home'] . '/images/biger/' . $count_biger['name'] . '.png" alt=""><br/>';
                }

                echo '<hr/>';
                echo '<small><strong>Для остальных страниц сайта: <font size=2>*</font></strong></small><br/>';
                while ($count_small = mysqli_fetch_array($image_small)) {
                    $checked = ($user_platform['imagesm'] == $count_small['name']) ? ' checked="checked"' : '';
                    echo '<input type="radio" name="imagesm" value="' . $count_small['name'] . '"' . $checked . '>';
                    echo '<img src="http://' . $set['home'] . '/images/mini/' . $count_small['name'] . '.png" alt=""><br/>';
                }

                /*echo '<hr>';
echo '<small><strong>Онлайн: <font size=2>*</font></strong></small><br/>';
while($count_one = mysql_fetch_array($image_one))
{
$checked = ($user_platform['imageone'] == $count_one['name']) ? ' checked="checked"' : '';
echo '<input type="radio" name="imageone" value="'.$count_one['name'].'"'.$checked.'>';
echo '<img src="http://'.$set['home'].'/images/on/'.$count_one['name'].'.gif" alt=""><br/>';
}*/


                echo '</br><font size=2>*</font></strong> - Все поля обязательные к заполнению</br></br><input name="ok" type="submit" value="Изменить" />
</form>
</div>';
            } else {
                echo '<div class="topni">';
                echo 'Данной площадки не существует!<br/>';
                echo '<a href="http://' . $set['home'] . '/m/office/platforms">Назад</a><br/>';
                echo '</div>';
            }
        } else {
            $cat = abs(intval($_POST['cat']));
            $imagebig = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['imagebig'])));
            $imagesm = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['imagesm'])));
            $imageone = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['imageone'])));
            $url = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['url'])));
            $name = $url;
            $url = ulty(str_replace("http://", "", $url));
            $about = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['about'])));
            $platform_isset = mysqli_num_rows(mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "sait` WHERE `id` = '" . $id . "' AND `id_user` = '" . $user_data['id'] . "' LIMIT 1"));
            $error = '';
            $isset_cat = mysqli_num_rows(mysqli_query($mysqli, "SELECT `id` FROM `" . $prefix . "cat` WHERE `id` = '" . $cat . "'"));
            $isset_site = mysqli_num_rows(mysqli_query($mysqli, "SELECT `id` FROM `" . $prefix . "sait` WHERE `url` = '" . $url . "'"));
            $isset_image = mysqli_num_rows(mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "images` WHERE `name` = '" . $imagebig . "'"));
            $skrit = $_POST['skrit'] == 1 ? 1 : 0;
            if ($isset_image == 0) {
                $error .= 'Ошибка! Нет такого изображения!<br/>';
            }
            if ($isset_cat == 0) {
                $error .= 'Ошибка! Нет такой категории!<br/>';
            }
            if (empty($cat) or empty($imagebig) or empty($imagesm) or empty($name) or empty($url) or empty($about)) {
                $error .= 'Ошибка!Не заполнены поля!<br/>';
            }
            if ($platform_isset == 0) {
                $error .= 'У вас нет такой площадки!<br/>';
            }
            if ($isset_site > 1) {
                $error .= 'Ошибка! Такого сайта существует в базе!<br/>';
            }
            if (!empty($error)) {
                echo '<div class="topni">';
                echo $error;
                echo '<a href="http://' . $set['home'] . '/m/office/platforms">К площадкам</a></div>';
            } else {
                $update_platform = mysqli_query($mysqli, "UPDATE `" . $prefix . "sait` SET
`category` = '" . $cat . "',
`imagebig` = '" . $imagebig . "',
`imagesm` = '" . $imagesm . "',
`skrit` = '" . $skrit . "',
`name` = '" . $name . "',
`url` = '" . $url . "',
`about` = '" . $about . "',
`status` = '" . $set['moderacia'] . "'
WHERE `id` = '" . $id . "'");
                if ($update_platform) {
                    echo '<div class="topni">';
                    echo 'Площадка успешно отредактирована!<br/>';
                    echo '<a href="http://' . $set['home'] . '/m/office/platforms">К площадкам</a><br/>';
                    echo '</div>';
                } else {
                    echo '<div class="topni">';
                    echo 'Площадка не отредактирована , попробуйте снова!<br/>';
                    echo '<a href="http://' . $set['home'] . 'm/office/editPlatform/' . $id . '">Назад</a><br/>';
                    echo '</div>';
                }
            }
        }
        break;
    case 'del_platform':
        $platform_isset = mysqli_query($mysqli, "SELECT * FROM `" . $prefix . "sait` WHERE `id` = '" . $id . "' AND `id_user` = '" . $user_data['id'] . "' LIMIT 1");
        $platform_isset_c = mysqli_num_rows($platform_isset);
        if ($platform_isset_c > 0) {
            $platform = mysqli_fetch_array($platform_isset);
            echo '<div class="title2">Удаление площадки <strong>' . $platform['name'] . '</strong></div>';
            if (!isset($_GET['ok'])) {
                echo '<div class="main">';
                echo 'Вы действительно хотите удалить площадку <strong>' . $platform['name'] . '</strong>?<br/>';
                echo '<a href="http://' . $set['home'] . '/m/office/deletePlatform/' . $id . '/ok">Да</a> | <a href="http://' . $set['home'] . '/m/office/platforms">Нет</a><br/>';
                echo '</div>';
            } else {
                $del_hosts = mysqli_query($mysqli, "DELETE FROM `" . $prefix . "hosts` WHERE `id_sait` = '" . $id . "'");
                $del_hits = mysqli_query($mysqli, "DELETE FROM `" . $prefix . "hits` WHERE `id_sait` = '" . $id . "'");
                $del_online = mysqli_query($mysqli, "DELETE FROM `" . $prefix . "sait_online` WHERE `id_sait` = '" . $id . "'");
                $del_platform = mysqli_query($mysqli, "DELETE FROM `" . $prefix . "sait` WHERE `id` = '" . $id . "'");
                if ($del_hosts and $del_hits and $del_online and $del_platform) {
                    echo '<div class="topni">';
                    echo 'Площадка успешно удалена!<br/>';
                    echo '<a href="http://' . $set['home'] . '/m/office">В кабинет</a><br/>';
                    echo '</div>';
                } else {
                    echo '<div class="topni">';
                    echo 'В процессе удаления произошла ошибка!<br/>';
                    echo '<a href="http://' . $set['home'] . '/m/office/platforms">К площадкам</a><br/>';
                    echo '</div>';
                }
            }
        } else {
            echo '<div class="topni">';
            echo 'У вас нет такой площадки!<br/>';
            echo '<a href="http://' . $set['home'] . '/m/office/platforms">К площадкам</a><br/>';
            echo '</div>';
        }
        break;
    case 'code':
        echo '<div class="title2">HTML-код , для установки на сайте</div>';
        if (!isset($_GET['id'])) {
            echo '<div class="main">';
            echo 'Код счётчика для главной страницы:<br/>';
            echo '<strong>' . htmlspecialchars('<') . 'script type="text/javascript" src="http://' . $set['home'] . '/js.php?id=<font color=red>ID_ПЛОЩАДКИ</font>">' . htmlspecialchars('</') . 'script>' . htmlspecialchars('<') . 'noscript>' . htmlspecialchars('<a') . ' href="http://' . $set['home'] . '/go/<font color=red>ID_ПЛОЩАДКИ</font>">' . htmlspecialchars('<img') . ' src="http://' . $set['home'] . '/image.php?id=<font color=red>ID_ПЛОЩАДКИ</font>" alt="' . $set['home'] . '"/>' . htmlspecialchars('<') . '/а>' . htmlspecialchars('</') . 'noscript></strong> <br/>';
            echo '<hr/>';
            echo 'Код счётчика для остальных страниц:<br/>';
            echo '<strong>' . htmlspecialchars('<') . 'script type="text/javascript" src="http://' . $set['home'] . '/jsOther.php?id=<font color=red>ID_ПЛОЩАДКИ</font>">' . htmlspecialchars('</') . 'script>' . htmlspecialchars('<') . 'noscript>' . htmlspecialchars('<a') . ' href="http://' . $set['home'] . '/go/<font color=red>ID_ПЛОЩАДКИ</font>">' . htmlspecialchars('<img') . ' src="http://' . $set['home'] . '/imageOther.php?id=<font color=red>ID_ПЛОЩАДКИ</font>" alt="' . $set['home'] . '"/>' . htmlspecialchars('<') . '/а>' . htmlspecialchars('</') . 'noscript></strong> <br/>';
            echo '<hr/>';
            echo 'Где <strong>ID_ПЛОЩАДКИ</strong> - ID площадки , счётчик которой вы хотите поставить , ID - показывается рядом с площадкой!<br/>';
            echo '</div>';
        } else {
            $id = intval($_GET['id']);
            echo '<div class="main">';
            echo 'Код счётчика для главной страницы [ID площадки: ' . $id . ']:<br/>';
            echo '<strong>' . htmlspecialchars('<a') . ' href="http://' . $set['home'] . '/go/' . $id . '">' . htmlspecialchars('<img') . ' src="http://' . $set['home'] . '/image/' . $id . '" alt="TopWap.Ru"/>' . htmlspecialchars('<') . '/а><br/></strong>';
            echo '<input type="text" name="" maxlength="200" class="do_button" value="' . htmlspecialchars('<a href="http://' . $set['home'] . '/go/' . $id . '"><img src="http://' . $set['home'] . '/image/' . $id . '" alt="TopWap.Ru"/></a>') . '"/><br/>';
            echo '<hr/>';
            echo 'Код счётчика для остальных страниц [ID площадки: ' . $id . ']:<br/>';
            echo '<strong>' . htmlspecialchars('<a') . ' href="http://' . $set['home'] . '/go/' . $id . '">' . htmlspecialchars('<img') . ' src="http://' . $set['home'] . '/imageOther/' . $id . '" alt="TopWap.Ru"/>' . htmlspecialchars('<') . '/а><br/></strong>';
            echo '<input type="text" name="" maxlength="200" class="do_button" value="' . htmlspecialchars('<a href="http://' . $set['home'] . '/go/' . $id . '"><img src="http://' . $set['home'] . '/imageOther/' . $id . '" alt="TopWap.Ru"/></a>') . '"/><br/>';

            echo '<hr/>';


            echo '<a href="http://' . $set['home'] . '/m/office">В кабинет</a><br/>';
            echo '</div>';
        }
        break;


    case 'settings':
        echo '<div class="title2">Мои настройки</div>';
        if (!isset($_POST['ok'])) {
            echo '<div class="main">';
            echo '<form action="http://' . $set['home'] . '/m/office/settings" method="post" name="form">';
            echo 'Площадок на страницу в кабинете:<br/>';
            echo '<input type="text" name="page_platforms" maxlength="2" class="do_button" value="' . $user_data['page_platforms'] . '"/><br/>';
            echo 'Элементов на страницу в статистике:<br/>';
            echo '<input type="text" name="pages" maxlength="2" class="do_button" value="' . $user_data['pages'] . '"/><br/>';
            echo 'Сайтов на страницу в категории:<br/>';
            echo '<input type="text" name="page_sait" maxlength="2" class="do_button" value="' . $user_data['page_sait'] . '"/><br/>';
            echo 'Сайтов на страницу Топ-100 (Главная стр.):<br/>';
            echo '<input type="text" name="page_top" maxlength="2" class="do_button" value="' . $user_data['page_top'] . '"/><br/>';
            echo 'Новостей на страницу:<br/>';
            echo '<input type="text" name="page_news" maxlength="2" class="do_button" value="' . $user_data['page_news'] . '"/><br/>';
            echo 'Комментариев к новостям на страницу:<br/>';
            echo '<input type="text" name="page_newsc" maxlength="2" class="do_button" value="' . $user_data['page_newsc'] . '"/><br/>';
            echo 'Комментариев к сайтам на страницу:<br/>';
            echo '<input type="text" name="page_sait_comments" maxlength="2" class="do_button" value="' . $user_data['page_sait_comments'] . '"/><br/>';
            echo '<input name="ok" type="submit" value="Сохранить" /></form></div>';
        } else {
            $page_platforms = abs(intval($_POST['page_platforms']));
            $pages = abs(intval($_POST['pages']));
            $page_sait = abs(intval($_POST['page_sait']));
            $page_top = abs(intval($_POST['page_top']));
            $page_news = abs(intval($_POST['page_news']));
            $page_newsc = abs(intval($_POST['page_newsc']));
            $page_sait_comments = abs(intval($_POST['page_sait_comments']));
            $error = '';
            if (empty($page_platforms) or empty($pages) or empty($page_sait) or empty($page_top) or empty($page_news) or empty($page_newsc) or empty($page_sait_comments)) {
                $error .= 'Ошибка!Одно из полей не заполнено<br/>';
            }
            if (mb_strlen($pages) > 2) {
                $error .= 'Ошибка! Поле "Элементов на страницу в статистике" содержит больше 2 символов! <br/>';
            }
            if (mb_strlen($page_sait) > 2) {
                $error .= 'Ошибка! Поле "Сайтов на страницу в категории" содержит больше 2 символов! <br/>';
            }
            if (mb_strlen($page_platforms) > 2) {
                $error .= 'Ошибка! Поле "Площадок на страницу" содержит больше 2 символов! <br/>';
            }
            if (mb_strlen($page_top) > 2) {
                $error .= 'Ошибка! Поле "Сайтов на страницу Топ-100" содержит больше 2 символов! <br/>';
            }
            if (mb_strlen($page_news) > 2) {
                $error .= 'Ошибка! Поле "Новостей на страницу" содержит больше 2 символов! <br/>';
            }
            if (mb_strlen($page_newsc) > 2) {
                $error .= 'Ошибка! Поле "Комментариев к новостям на страницу" содержит больше 2 символов! <br/>';
            }
            if (mb_strlen($page_sait_comments) > 2) {
                $error .= 'Ошибка! Поле "Комментариев к сайтам на страницу" содержит больше 2 символов! <br/>';
            }
            if (!empty($error)) {
                echo '<div class="topni">';
                echo $error;
                echo '<a href="http://' . $set['home'] . '/m/office/settings">Назад</a></div>';
            } else {
                $up = mysqli_query($mysqli, "UPDATE `" . $prefix . "users` SET `page_platforms` = '" . $page_platforms . "', `pages` = '" . $pages . "', `page_sait` = '" . $page_sait . "', `page_top` = '" . $page_top . "', `page_news` = '" . $page_news . "', `page_newsc` = '" . $page_newsc . "', `page_sait_comments` = '" . $page_sait_comments . "' WHERE `id` = '" . $user_data['id'] . "'");
                if ($up) {
                    echo '<div class="topni">';
                    echo '<font color=green>Настройки успешно изменены!</font><br/>';
                    echo '</div>';
                }
            }
        }
        break;
    case 'set':
        echo '<div class="title2">Личние данние</div>';
        if (isset($_POST['ok'])) {

            $name = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['name'])));
            $mail = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['mail'])));


            $error = '';
            if (empty($name) or empty($mail)) {
                $error .= 'Все поля обязательны к заполнению!<br/>';
            }


            if (!preg_match('|^[А-Яа-яA-Za-z\-_]+$|i', $name)) {
                $error .= 'В име можно использовать только букви!<br/>';
            }
            if (!empty($mail) and !preg_match('#^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+(\.([A-Za-z0-9])+)+$#', $mail)) {
                $error .= 'Вы ввели неверный адрес e-mail, необходим формат name@site.domen!<br/>';
            }

            if (!empty($error)) {
                echo '<div class="topni">';
                echo $error;
                echo '<a href="http://' . $set['home'] . '/m/office/set">Назад</a><br/>';
                echo '</div>';
            } else {


                $reg = mysqli_query($mysqli, " UPDATE `" . $prefix . "users` SET
`name` = '" . $name . "',
`mail` = '" . $mail . "' WHERE `id` = '" . $u['id'] . "'");
                if ($reg) {
                    echo '<div class="main">Данные сохранени!<br/>';
                    echo '<a href="http://' . $set['home'] . '/m/office">В кабинет</a></div>';
                } else {
                    echo '<div class="main">Данные не сохранени!<br/>';
                    echo '<a href="http://' . $set['home'] . '/m/office/set">Назад</a></div>';
                }
            }
        } else {
            echo '<div class="main">';
            echo '
<form action="set" method="post">
Ваш имя: [Исползуется для обращения к вам] [max.30]<br/>
<input name="name" type="text" value="' . $u['name'] . '" /><br/>Ваш e-mail адрес:<br/>
<input name="mail" type="text" value="' . $u['mail'] . '" /><br/></br>
<input name="ok" type="submit" value="Сохранить" /></form><hr>';
            echo '<small>Все поля обязательны к заполнению.</small>';
            echo '</div>';
        }
        break;
    case 'pass':
        echo '<div class="title2">Личние данние</div>';
        if (isset($_POST['ok'])) {

            $pass = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['password'])));
            $pass1 = mysqli_real_escape_string($mysqli, htmlspecialchars(trim($_POST['password1'])));


            $error = '';
            if ($pass != $pass1) {
                $error .= 'Пароли не совпадают!<br/>';
            }

            if (!empty($error)) {
                echo '<div class="topni">';
                echo $error;
                echo '<a href="http://' . $set['home'] . '/m/office/pass">Назад</a><br/>';
                echo '</div>';
            } else {


                $reg = mysqli_query($mysqli, " UPDATE `" . $prefix . "users` SET
`password` = '" . md5($pass) . "' WHERE `id` = '" . $u['id'] . "'");
                if ($reg) {
                    echo '<div class="main">Новий пароль сохранен!<br/>';
                    echo '<a href="http://' . $set['home'] . '/m/office">В кабинет</a></div>';
                } else {
                    echo '<div class="main"Новий пароль не сохранен!<br/>';
                    echo '<a href="http://' . $set['home'] . '/m/office/pass">Назад</a></div>';
                }
            }
        } else {
            echo '<div class="main">';
            echo '
<form action="pass" method="post">
Новий ароль [max.30]:<br/>
<input name="password" type="text" value="" /><br/>Повторите новий пароль:<br/>
<input name="password1" type="text" value="" /><br/></br>
<input name="ok" type="submit" value="Сохранить" /></form>';

            echo '</div>';
        }
        break;
}

require_once('foot.php');